%define module		cElementTree
%define date_version	20051216

Summary:        Add-on to the standard ElementTree package
Name: 		python-celementtree
Version: 	1.0.5
Release: 	%mkrel 15
Group: 		Development/Python
License:	Python license
URL:            http://effbot.org/zone/element-index.htm
Source0:        http://effbot.org/downloads/%{module}-%{version}-%{date_version}.tar.bz2
Patch0:		celementtree-1.0.5-external-libexpat.patch
Requires:	python-elementtree
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	expat-devel

%description
This is an add-on to the standard ElementTree package, which adds a very fast
and memory-efficient alternative implementation of the ElementTree API.

%prep
%setup -q -n %{module}-%{version}-%{date_version}
%autopatch -p1

%build
%{__python} setup.py build


%install
%{__python} setup.py install --root=%{buildroot} --record INSTALLED_FILES


%files -f INSTALLED_FILES
%doc samples README* CHANGES*




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.5-15.mga6
+ Revision: 937968
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-14.mga5
+ Revision: 750807
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.5-13.mga5
+ Revision: 728169
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-12.mga5
+ Revision: 687921
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.5-10.mga4
+ Revision: 543048
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.5-9.mga4
+ Revision: 498201
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-8.mga3
+ Revision: 378525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 pterjan <pterjan> 1.0.5-7.mga1
+ Revision: 21319
- Rebuild for python 2.7

  + rtp <rtp>
    - imported package python-celementtree


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 1.0.5-6mdv2011.0
+ Revision: 589934
- rebuild for python 2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-5mdv2010.1
+ Revision: 523762
- rebuilt for 2010.1

* Sat Aug 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2010.0
+ Revision: 419731
- P0: use system expat lib (gentoo)

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1.0.5-3mdv2009.1
+ Revision: 319835
- rebuild for new python

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.5-2mdv2009.0
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2008.0
+ Revision: 67516
- rebuild


* Fri Jan 05 2007 Michael Scherer <misc@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 104360
- update to 1.0.5
- use %%rel for mkrel

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-4mdv2007.1
+ Revision: 96892
- Rebuild against new python
- Rebuild for new python
- import python-celementtree-1.0.2-1mdk

